Summary:	A light and eye-candy dock to launch your programs easily
Name:     	cairo-dock
Version:	3.0.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphical desktop/Other
Source:		http://launchpad.net/cairo-dock-core/3.0/%{version}/+download/cairo-dock-%{version}.tar.gz
URL:		https://launchpad.net/cairo-dock-core
Patch0:		cairo-dock-2.4.0~2-mga-fix-glib-include.patch
Patch1:		cairo-dock-3.0.0-link.patch
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pangox)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	cmake
Suggests:	cairo-dock-plugins = %version
Suggests:	cairo-dock-themes

%description
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_mandir}/man1/cairo-dock.1.*

#---------------------------------------------------------------------
%define major 3
%define libname %mklibname gldi %{major}
%package -n %libname
Summary: Library files for cairo-dock
Group: System/Libraries

%description -n %libname
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the libraries for cairo-dock functions.

%files  -n %libname
%{_libdir}/libgldi.so.%{major}
%{_libdir}/libgldi.so.%{major}.*

#---------------------------------------------------------------------
%package devel
Summary: Development files for cairo-dock
Group: Development/Other
Requires: %name = %version
Requires: %libname = %version

%description devel
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the include files and library for cairo-dock functions.

%files devel
%{_includedir}/%name
%{_libdir}/libgldi.so
%{_libdir}/pkgconfig/*.pc

#---------------------------------------------------------------------
%prep
%setup -qn %name-%version
%patch0 -p1
%patch1 -p0

%build
%cmake -DCMAKE_INSTALL_LIBDIR=lib
%make

%install
%makeinstall_std -C build

%{find_lang} %{name}


%changelog
* Thu Apr 19 2012 Funda Wang <fwang@mandriva.org> 3.0.0-1mdv2012.0
+ Revision: 792192
- fix libdir usage
- new version 3.0.0

* Fri Feb 17 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.4.0-2
+ Revision: 775559
- fix glib header include (P0)

* Tue Oct 04 2011 Andrey Bondrov <abondrov@mandriva.org> 2.4.0-1
+ Revision: 702745
- New version: 2.4.0

* Wed Jun 08 2011 Funda Wang <fwang@mandriva.org> 2.3.0-1
+ Revision: 683283
- new version 2.3.0~2

* Sun Oct 10 2010 Funda Wang <fwang@mandriva.org> 2.2.0-1mdv2011.0
+ Revision: 584555
- new version 2.2.0

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 2.1.3-1mdv2010.1
+ Revision: 504432
- New version 2.1.3

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 498440
- New version 2.1.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.8.2-1mdv2010.0
+ Revision: 450644
- update to new version 2.0.8.2

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 2.0.8-1mdv2010.0
+ Revision: 395188
- New version 2.0.8

* Mon Jun 29 2009 Funda Wang <fwang@mandriva.org> 2.0.6-1mdv2010.0
+ Revision: 390651
- New version 2.0.6

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 2.0.5-1mdv2010.0
+ Revision: 385860
- new version 2.0.5

* Wed May 27 2009 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2010.0
+ Revision: 380051
- New version 2.0.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1.6.3.1-1mdv2009.1
+ Revision: 308382
- new version 1.6.3.1

* Sat Sep 13 2008 Funda Wang <fwang@mandriva.org> 1.6.2.3-1mdv2009.0
+ Revision: 284455
- New version 1.6.2.3

* Sat Jul 26 2008 Funda Wang <fwang@mandriva.org> 1.6.1.2-3mdv2009.0
+ Revision: 250074
- let it choose standard desktop item dir
- add desktop menus and icons
- suggest sub packages

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 1.6.1.2-1mdv2009.0
+ Revision: 245597
- import cairo-dock


